Main Page Packages Class Hierarchy Compound List File List Compound Members

# DocumentBuilderSetting Class Reference

List of all members.

## Public Methods
final boolean | hasConflict (DocumentBuilderSetting other)
final boolean | hasSetting (DOMTestDocumentBuilderFactory factory)
final void | applySetting (DocumentBuilderFactory builder) throws DOMTestIncompatibleException
final String | toString ()
## Static Public Attributes
final DocumentBuilderSetting | coalescing
final DocumentBuilderSetting | notCoalescing
final DocumentBuilderSetting | expandEntityReferences
final DocumentBuilderSetting | notExpandEntityReferences
final DocumentBuilderSetting | ignoringElementContentWhitespace
final DocumentBuilderSetting | notIgnoringElementContentWhitespace
final DocumentBuilderSetting | namespaceAware
final DocumentBuilderSetting | notNamespaceAware
final DocumentBuilderSetting | validating
final DocumentBuilderSetting | notValidating
final DocumentBuilderSetting | signed
final DocumentBuilderSetting | notSigned
final DocumentBuilderSetting | hasNullString
final DocumentBuilderSetting | notHasNullString
## Protected Methods
| DocumentBuilderSetting (String property, boolean value, DocumentBuilderSettingStrategy strategy)

## Detailed Description

This class is an parser setting, such as non-validating or entity-expanding.

Author:
  Curt Arnold

Date:
  2 Feb 2002

Definition at line 29 of file DocumentBuilderSetting.java.

## Constructor & Destructor Documentation

DocumentBuilderSetting::DocumentBuilderSetting | ( | String | property,
|  | boolean | value,
|  | DocumentBuilderSettingStrategy | strategy
| ) | `[inline, protected]`

| Protected constructor, use static members for supported settings. Definition at line 102 of file DocumentBuilderSetting.java.
    00103                                                             {
    00104     if(property == null) {
    00105       throw new NullPointerException("property");
    00106     }
    00107     this.property = property;
    00108     this.value = value;
    00109     this.strategy = strategy;
    00110   }

## Member Function Documentation

final void DocumentBuilderSetting::applySetting | ( | DocumentBuilderFactory | builder | ) | `[inline]`

| Definition at line 130 of file DocumentBuilderSetting.java. References DocumentBuilderSettingStrategy::applySetting().
    00131                                         {
    00132     strategy.applySetting(builder,value);
    00133   }

final boolean DocumentBuilderSetting::hasConflict | ( | DocumentBuilderSetting | other | ) | `[inline]`

  | Returns true if the settings have a conflict or are identical. Parameters:
  other | other setting, may not be null.
Definition at line 116 of file DocumentBuilderSetting.java. References strategy. Referenced by DOMTestDocumentBuilderFactory::mergeSettings().
    00116                                                                  {
    00117     if(other == null) {
    00118       throw new NullPointerException("other");
    00119     }
    00120     if(other == this) {
    00121       return true;
    00122     }
    00123     return strategy == other.strategy;
    00124   }

final boolean DocumentBuilderSetting::hasSetting | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 126 of file DocumentBuilderSetting.java. References DocumentBuilderSettingStrategy::hasSetting(). Referenced by DOMTestDocumentBuilderFactory::getActualSettings(), and DOMTest::hasSetting().
    00126                                                                          {
    00127     return strategy.hasSetting(factory) == value;
    00128   }

final String DocumentBuilderSetting::toString | ( |  | ) | `[inline]`

| Definition at line 135 of file DocumentBuilderSetting.java. Referenced by DOMTestIncompatibleException::toString().
    00135                                  {
    00136     StringBuffer builder = new StringBuffer(property);
    00137     builder.append('=');
    00138     builder.append(String.valueOf(value));
    00139     return builder.toString();
    00140   }

## Member Data Documentation

final DocumentBuilderSetting DocumentBuilderSetting::coalescing`[static]`

| Initial value:
        new DocumentBuilderSetting("coalescing",true,
            DocumentBuilderSettingStrategy.coalescing)
Definition at line 34 of file DocumentBuilderSetting.java. Referenced by DOMTestDocumentBuilderFactory::getActualSettings().

final DocumentBuilderSetting DocumentBuilderSetting::expandEntityReferences`[static]`

| Initial value:
        new DocumentBuilderSetting("expandEntityReferences",true,
            DocumentBuilderSettingStrategy.expandEntityReferences)
Definition at line 43 of file DocumentBuilderSetting.java. Referenced by DOMTestDocumentBuilderFactory::getActualSettings(), and JAXPDOMTestDocumentBuilderFactory::getConfiguration2().

final DocumentBuilderSetting DocumentBuilderSetting::hasNullString`[static]`

| Initial value:
        new DocumentBuilderSetting("hasNullString",true,
            DocumentBuilderSettingStrategy.hasNullString)
Definition at line 90 of file DocumentBuilderSetting.java. Referenced by domimplementationfeaturenull::domimplementationfeaturenull(), and DOMTestDocumentBuilderFactory::getActualSettings().

final DocumentBuilderSetting DocumentBuilderSetting::ignoringElementContentWhitespace`[static]`

| Initial value:
        new DocumentBuilderSetting("ignoringElementContentWhitespace",true,
            DocumentBuilderSettingStrategy.ignoringElementContentWhitespace)
Definition at line 52 of file DocumentBuilderSetting.java. Referenced by DOMTestDocumentBuilderFactory::getActualSettings(), and JAXPDOMTestDocumentBuilderFactory::getConfiguration2().

final DocumentBuilderSetting DocumentBuilderSetting::namespaceAware`[static]`

| Initial value:
        new DocumentBuilderSetting("namespaceAware",true,
            DocumentBuilderSettingStrategy.namespaceAware)
Definition at line 62 of file DocumentBuilderSetting.java. Referenced by DOMTestDocumentBuilderFactory::getActualSettings(), and JAXPDOMTestDocumentBuilderFactory::getConfiguration2().

final DocumentBuilderSetting DocumentBuilderSetting::notCoalescing`[static]`

| Initial value:
        new DocumentBuilderSetting("coalescing",false,
            DocumentBuilderSettingStrategy.coalescing)
Definition at line 38 of file DocumentBuilderSetting.java. Referenced by cdatasectiongetdata::cdatasectiongetdata(), cdatasectionnormalize::cdatasectionnormalize(), DOMTestDocumentBuilderFactory::getActualSettings(), JAXPDOMTestDocumentBuilderFactory::getConfiguration1(), JAXPDOMTestDocumentBuilderFactory::getConfiguration2(), nodecdatasectionnodetype::nodecdatasectionnodetype(), and nodecdatasectionnodevalue::nodecdatasectionnodevalue().

final DocumentBuilderSetting DocumentBuilderSetting::notExpandEntityReferences`[static]`

| Initial value:
        new DocumentBuilderSetting("expandEntityReferences",false,
            DocumentBuilderSettingStrategy.expandEntityReferences)
Definition at line 48 of file DocumentBuilderSetting.java. Referenced by attrsetvaluenomodificationallowederr::attrsetvaluenomodificationallowederr(), characterdataappenddatanomodificationallowederr::characterdataappenddatanomodificationallowederr(), characterdatadeletedatanomodificationallowederr::characterdatadeletedatanomodificationallowederr(), characterdatainsertdatanomodificationallowederr::characterdatainsertdatanomodificationallowederr(), characterdatareplacedatanomodificationallowederr::characterdatareplacedatanomodificationallowederr(), characterdatareplacedatanomodificationallowederrEE::characterdatareplacedatanomodificationallowederrEE(), characterdatasetdatanomodificationallowederr::characterdatasetdatanomodificationallowederr(), elementremoveattributenodenomodificationallowederr::elementremoveattributenodenomodificationallowederr(), elementremoveattributenomodificationallowederr::elementremoveattributenomodificationallowederr(), elementsetattributenodenomodificationallowederr::elementsetattributenodenomodificationallowederr(), elementsetattributenodenomodificationallowederrEE::elementsetattributenodenomodificationallowederrEE(), elementsetattributenomodificationallowederr::elementsetattributenomodificationallowederr(), DOMTestDocumentBuilderFactory::getActualSettings(), JAXPDOMTestDocumentBuilderFactory::getConfiguration1(), nodeappendchildnomodificationallowederr::nodeappendchildnomodificationallowederr(), nodeinsertbeforenomodificationallowederr::nodeinsertbeforenomodificationallowederr(), noderemovechildnomodificationallowederr::noderemovechildnomodificationallowederr(), nodereplacechildnomodificationallowederr::nodereplacechildnomodificationallowederr(), nodesetnodevaluenomodificationallowederr::nodesetnodevaluenomodificationallowederr(), processinginstructionsetdatanomodificationallowederr::processinginstructionsetdatanomodificationallowederr(), and textsplittextnomodificationallowederr::textsplittextnomodificationallowederr().

final DocumentBuilderSetting DocumentBuilderSetting::notHasNullString`[static]`

| Initial value:
        new DocumentBuilderSetting("hasNullString",false,
            DocumentBuilderSettingStrategy.hasNullString)
Definition at line 95 of file DocumentBuilderSetting.java. Referenced by DOMTestDocumentBuilderFactory::getActualSettings().

final DocumentBuilderSetting DocumentBuilderSetting::notIgnoringElementContentWhitespace`[static]`

| Initial value:
        new DocumentBuilderSetting("ignoringElementContentWhitespace",false,
            DocumentBuilderSettingStrategy.ignoringElementContentWhitespace)
Definition at line 57 of file DocumentBuilderSetting.java. Referenced by DOMTestDocumentBuilderFactory::getActualSettings(), and JAXPDOMTestDocumentBuilderFactory::getConfiguration1().

final DocumentBuilderSetting DocumentBuilderSetting::notNamespaceAware`[static]`

| Initial value:
        new DocumentBuilderSetting("namespaceAware",false,
            DocumentBuilderSettingStrategy.namespaceAware)
Definition at line 67 of file DocumentBuilderSetting.java. Referenced by DOMTestDocumentBuilderFactory::getActualSettings(), and JAXPDOMTestDocumentBuilderFactory::getConfiguration1().

final DocumentBuilderSetting DocumentBuilderSetting::notSigned`[static]`

| Initial value:
        new DocumentBuilderSetting("signed",false,
            DocumentBuilderSettingStrategy.signed)
Definition at line 86 of file DocumentBuilderSetting.java. Referenced by DOMTestDocumentBuilderFactory::getActualSettings().

final DocumentBuilderSetting DocumentBuilderSetting::notValidating`[static]`

| Initial value:
        new DocumentBuilderSetting("validating",false,
            DocumentBuilderSettingStrategy.validating)
Definition at line 77 of file DocumentBuilderSetting.java. Referenced by documentgetdoctypenodtd::documentgetdoctypenodtd(), DOMTestDocumentBuilderFactory::getActualSettings(), and JAXPDOMTestDocumentBuilderFactory::getConfiguration1().

final DocumentBuilderSetting DocumentBuilderSetting::signed`[static]`

| Initial value:
        new DocumentBuilderSetting("signed",true,
            DocumentBuilderSettingStrategy.signed)
Definition at line 81 of file DocumentBuilderSetting.java. Referenced by characterdataindexsizeerrdeletedatacountnegative::characterdataindexsizeerrdeletedatacountnegative(), characterdataindexsizeerrdeletedataoffsetnegative::characterdataindexsizeerrdeletedataoffsetnegative(), characterdataindexsizeerrinsertdataoffsetnegative::characterdataindexsizeerrinsertdataoffsetnegative(), characterdataindexsizeerrreplacedatacountnegative::characterdataindexsizeerrreplacedatacountnegative(), characterdataindexsizeerrreplacedataoffsetnegative::characterdataindexsizeerrreplacedataoffsetnegative(), characterdataindexsizeerrsubstringcountnegative::characterdataindexsizeerrsubstringcountnegative(), characterdataindexsizeerrsubstringnegativeoffset::characterdataindexsizeerrsubstringnegativeoffset(), DOMTestDocumentBuilderFactory::getActualSettings(), and textindexsizeerrnegativeoffset::textindexsizeerrnegativeoffset().

final DocumentBuilderSetting DocumentBuilderSetting::validating`[static]`

| Initial value:
        new DocumentBuilderSetting("validating",true,
            DocumentBuilderSettingStrategy.validating)
Definition at line 73 of file DocumentBuilderSetting.java. Referenced by DOMTestDocumentBuilderFactory::getActualSettings(), and JAXPDOMTestDocumentBuilderFactory::getConfiguration2().

The documentation for this class was generated from the following file:

- DocumentBuilderSetting.java